AutoSnapAperture 属性 (ActiveX)
切换 AutoSnap 光圈的显示。 支持的平台:仅限 Windows 属性值只读:不 类型:布尔
言论此属性的初始值为 。True 当您捕捉到对象时,AutoSnap 光圈显示在十字准线的中心。仅当启用了 AutoSnap 标记、磁贴或工具提示时,此选项才可用。 注意:此属性的值存储在 APBOX 系统变量中。
例子VBA: Sub Example_AutoSnapAperture() ' This example reads and modifies the preference value that controls ' the display of the AutoSnap aperture. ' When finished, this example resets the preference value back to ' its original value. Dim ACADPref As AcadPreferencesDrafting Dim originalValue As Variant, newValue As Variant ' Get the drafting preferences object Set ACADPref = ThisDrawing.Application.preferences.Drafting ' Read and display the original value originalValue = ACADPref.AutoSnapAperture MsgBox "The AutoSnapAperture preference is set to: " & originalValue ' Modify the AutoSnapAperture preference by toggling the value ACADPref.AutoSnapAperture = Not (originalValue) newValue = ACADPref.AutoSnapAperture MsgBox "The AutoSnapAperture preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.AutoSnapAperture = originalValue MsgBox "The AutoSnapAperture preference was reset back to: " & originalValue End Sub 可视化 LISP: (vl-load-com) (defun c:Example_AutoSnapAperture() ;; This example reads and modifies the preference value that controls ;; the display of the AutoSnap aperture. ;; When finished, this example resets the preference value back to ;; its original value. (setq acadObj (vlax-get-acad-object)) (setq preferences (vla-get-Preferences acadObj)) ;; Get the drafting preferences object (setq ACADPref (vla-get-Drafting preferences)) ;; Read and display the original value (setq originalValue (vla-get-AutoSnapAperture ACADPref)) (alert (strcat "The AutoSnapAperture preference is set to: " (if (= originalValue :vlax-true) "True" "False"))) ;; Modify the AutoSnapAperture preference by toggling the value (vla-put-AutoSnapAperture ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true)) (setq newValue (vla-get-AutoSnapAperture ACADPref)) (alert (strcat "The AutoSnapAperture preference has been set to: " (if (= newValue :vlax-true) "True" "False"))) ;; Reset the preference back to its original value ;; ;; * Note: Comment out this last section to leave the change to ;; this preference in effect (vla-put-AutoSnapAperture ACADPref originalValue) (alert (strcat "The AutoSnapAperture preference was reset back to: " (if (= originalValue :vlax-true) "True" "false"))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-16 00:00
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.